Skip to main content
PUT
/
notion-settings
/
{id}
Python
import os
from qaip import Qaip

client = Qaip(
    api_key=os.environ.get("QAIP_API_KEY"),  # This is the default and can be omitted
)
notion_setting = client.notions.update_setting(
    id="id",
    name="name",
)
print(notion_setting.id)
{
  "id": "<string>",
  "name": "<string>",
  "page_id": "<string>",
  "rrule": "<string>",
  "secret_id": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

id
string
required

Ingestion setting ID for the Notion data source

Body

application/json
name
string
required

Name of the Notion data source

Maximum string length: 200
rrule
string

Recurrence rule (RFC 5545 RRULE). Empty string or omission removes the existing schedule.

Response

Successfully updated Notion setting

id
string
required

Notion ingestion setting ID

name
string
required

Name of the Notion ingestion setting

page_id
string
required

Notion page ID

rrule
string

Recurrence rule (RFC 5545 RRULE)

secret_id
string

ID of the associated secret